summaryrefslogtreecommitdiff
path: root/common/extract-release-date-from-doap-file
diff options
context:
space:
mode:
authorKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:46:56 +0900
committerKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:46:56 +0900
commit4fcf0a9192ac1dee34309a66be632530b66f6822 (patch)
treee09f9233b63b22f97084798dcf6ffd3c85cc3adb /common/extract-release-date-from-doap-file
parentdfa84b358c7cdf0535eba1fead62fc4122cc56e6 (diff)
downloadgst-plugins-good0.10-4fcf0a9192ac1dee34309a66be632530b66f6822.tar.gz
gst-plugins-good0.10-4fcf0a9192ac1dee34309a66be632530b66f6822.tar.bz2
gst-plugins-good0.10-4fcf0a9192ac1dee34309a66be632530b66f6822.zip
Git init
Diffstat (limited to 'common/extract-release-date-from-doap-file')
-rwxr-xr-xcommon/extract-release-date-from-doap-file32
1 files changed, 32 insertions, 0 deletions
diff --git a/common/extract-release-date-from-doap-file b/common/extract-release-date-from-doap-file
new file mode 100755
index 0000000..f2bc418
--- /dev/null
+++ b/common/extract-release-date-from-doap-file
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Shell script to extract the date given a release version and a .doap file
+
+if test "x$1" = "x" -o "x$2" = "x" -o ! -s "$2"; then
+ echo "Usage: $0 RELEASE-VERSION-NUMBER DOAP-FILE" >&2;
+ exit 1
+fi
+
+if ! grep '<Project' "$2" >/dev/null ; then
+ echo "$2 does not look lika a .doap file" >&2;
+ exit 1
+fi
+
+if ! grep "$1" "$2" >/dev/null ; then
+ echo "$2 contains no reference to a version $1" >&2;
+ exit 1
+fi
+
+awk 'BEGIN {x=0}
+{
+if ($0~"<release>") {x=1; chunk=""}
+if (x==1) {
+ if ($0~"<revision>") { chunk = chunk $0 }
+ if ($0~"<created>") { chunk = chunk $0 }
+}
+if ($0~"</release>") {x=0; print chunk}
+}' < "$2" | \
+\
+grep '<revision>'"$1"'</revision>' | \
+\
+sed -e 's/^.*<created>//' -e 's/<\/created>.*$//'
+